package cz.uhk.fim.denotevrenychdveri.fragments;


import android.os.Bundle;
import android.os.Parcelable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.DegreeProgram;

/**
 * A simple {@link Fragment} subclass.
 * Use the {@link DetailDegreeFragment#newInstance} factory method to
 * create an instance of this fragment.
 */
public class DetailDegreeFragment extends Fragment {
    // TODO: Rename parameter arguments, choose names that match
    // the fragment initialization parameters, e.g. ARG_ITEM_NUMBER
    private static final String ARG_PARAM1 = "detailDegreeFragment";

    // TODO: Rename and change types of parameters
    private DegreeProgram mParam1;

    public DetailDegreeFragment() {
        // Required empty public constructor
    }

    /**
     * Use this factory method to create a new instance of
     * this fragment using the provided parameters.
     *
     * @param degreeProgram Parameter 1.
     * @return A new instance of fragment DetailDegreeFragment.
     */
    // TODO: Rename and change types and number of parameters
    public static DetailDegreeFragment newInstance(DegreeProgram degreeProgram) {
        DetailDegreeFragment fragment = new DetailDegreeFragment();
        Bundle args = new Bundle();
        args.putParcelable(ARG_PARAM1,degreeProgram);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getArguments() != null) {
            mParam1 = getArguments().getParcelable(ARG_PARAM1);
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_detail_degree, container, false);
        TextView textView = (TextView) rootView.findViewById(R.id.ťxt_degree_name);
        textView.setText(mParam1.getName());
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_short_cut);
        textView.setText(mParam1.getShortcut());
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_study_form);
        textView.setText(mParam1.getStudyForm());
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_study_type);
        textView.setText(mParam1.getStudyType());
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_study_period);
        textView.setText(String.valueOf(mParam1.getStandardPeriodOfStudy()));
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_contender_profile);
        textView.setText(mParam1.getContenderProfile());
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_graduate_profile);
        textView.setText(mParam1.getGraduateProfile());
        textView = (TextView) rootView.findViewById(R.id.ťxt_degree_entrance_examination);
        textView.setText(mParam1.getEntranceExamination());
        return rootView;
    }

}
