package cz.uhk.fim.denotevrenychdveri.models;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by salay on 15.07.2016.
 */
public class DegreeProgram implements Parcelable{
    private int id;
    private String name;
    private String shortcut;
    private String studyForm;
    private String studyType;
    private int standardPeriodOfStudy;
    private String contenderProfile;
    private String graduateProfile;
    private String entranceExamination;

    public DegreeProgram() {
    }

    public DegreeProgram(int id, String name, String shortcut, String studyForm, String studyType, int standardPeriodOfStudy) {
        this.id = id;
        this.name = name;
        this.shortcut = shortcut;
        this.studyForm = studyForm;
        this.studyType = studyType;
        this.standardPeriodOfStudy = standardPeriodOfStudy;
    }

    public DegreeProgram(int id, String name, String shortcut, String studyForm, String studyType, int standardPeriodOfStudy, String contenderProfile, String graduateProfile, String entranceExamination) {
        this.id = id;
        this.name = name;
        this.shortcut = shortcut;
        this.studyForm = studyForm;
        this.studyType = studyType;
        this.standardPeriodOfStudy = standardPeriodOfStudy;
        this.contenderProfile = contenderProfile;
        this.graduateProfile = graduateProfile;
        this.entranceExamination = entranceExamination;
    }



    protected DegreeProgram(Parcel in) {
        id = in.readInt();
        name = in.readString();
        shortcut = in.readString();
        studyForm  = in.readString();
        studyType = in.readString();
        standardPeriodOfStudy = in.readInt();
        contenderProfile = in.readString();
        graduateProfile  = in.readString();
    }

    public static final Creator<DegreeProgram> CREATOR = new Creator<DegreeProgram>() {
        @Override
        public DegreeProgram createFromParcel(Parcel in) {
            return new DegreeProgram(in);
        }

        @Override
        public DegreeProgram[] newArray(int size) {
            return new DegreeProgram[size];
        }
    };

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getShortcut() {
        return shortcut;
    }

    public String getStudyForm() {
        return studyForm;
    }

    public String getStudyType() {
        return studyType;
    }

    public int getStandardPeriodOfStudy() {
        return standardPeriodOfStudy;
    }

    public String getContenderProfile() {
        return contenderProfile;
    }

    public String getGraduateProfile() {
        return graduateProfile;
    }

    public String getEntranceExamination() {
        return entranceExamination;
    }


    public void setId(int id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setShortcut(String shortcut) {
        this.shortcut = shortcut;
    }

    public void setStudyForm(String studyForm) {
        this.studyForm = studyForm;
    }

    public void setStudyType(String studyType) {
        this.studyType = studyType;
    }

    public void setStandardPeriodOfStudy(int standardPeriodOfStudy) {
        this.standardPeriodOfStudy = standardPeriodOfStudy;
    }

    public void setContenderProfile(String contenderProfile) {
        this.contenderProfile = contenderProfile;
    }

    public void setGraduateProfile(String graduateProfile) {
        this.graduateProfile = graduateProfile;
    }
    public void setEntranceExamination(String entranceExamination) {
        this.entranceExamination = entranceExamination;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(id);
        parcel.writeString(name);
        parcel.writeString(shortcut);
        parcel.writeString(studyForm);
        parcel.writeString(studyType);
        parcel.writeInt(standardPeriodOfStudy);
        parcel.writeString(contenderProfile);
        parcel.writeString(graduateProfile);
        parcel.writeString(entranceExamination);
    }
}
