package cz.uhk.fim.denotevrenychdveri.models;

import java.util.Date;


/**
 * Created by salay on 09.07.2016.
 */
public class Event {
    private int id;
    private String name;
    private String description;
    private int idCategory;
    private Date date;
    private Date start;
    private Date end;
    private String place;
    private String location;
    private boolean repeateble;

    public Event(int id, String name, String description, int idCategory, Date date, Date start, Date end, String place, String location, boolean repeateble) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.idCategory = idCategory;
        this.date = date;
        this.start = start;
        this.end = end;
        this.place = place;
        this.location = location;
        this.repeateble = repeateble;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public int getIdCategory() {
        return idCategory;
    }

    public Date getDate() {
        return date;
    }

    public Date getStart() {
        return start;
    }

    public Date getEnd() {
        return end;
    }

    public String getPlace() {
        return place;
    }

    public String getLocation() {
        return location;
    }

    public boolean isRepeateble() {
        return repeateble;
    }
}
