package cz.uhk.fim.denotevrenychdveri.views.adapters;

import android.content.Context;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.fragments.MainEventFragment;
import cz.uhk.fim.denotevrenychdveri.fragments.SpecialEventFragment;
import cz.uhk.fim.denotevrenychdveri.fragments.WorkshopEventFragment;

/**
 * Created by salay on 09.07.2016.
 */
public class EventFragmentPagerAdapter extends FragmentPagerAdapter {


    private Context context;

    public EventFragmentPagerAdapter(Context context, FragmentManager fm) {
        super(fm);
        this.context = context;
    }

    @Override
    public Fragment getItem(int position) {
        if (position == 0){
            return new MainEventFragment();
        }else if (position == 1){
            return new SpecialEventFragment();
        }else{
            return new WorkshopEventFragment();
        }
    }

    @Override
    public int getCount() {
        return 3;
    }

    @Override
    public CharSequence getPageTitle(int position) {
        if (position == 0){
            return context.getString(R.string.main_events);
        }else if (position == 1){
            return context.getString(R.string.special_events);
        }else {
            return context.getString(R.string.wokrshop_events);
        }
    }
}
