package cz.uhk.fim.denotevrenychdveri.views.adapters;

import android.content.Context;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.fragments.DegreeInformationFragment;
import cz.uhk.fim.denotevrenychdveri.fragments.MainEventFragment;
import cz.uhk.fim.denotevrenychdveri.fragments.MainInformationFragment;
import cz.uhk.fim.denotevrenychdveri.fragments.SpecialEventFragment;
import cz.uhk.fim.denotevrenychdveri.fragments.WorkshopEventFragment;

/**
 * Created by salay on 09.07.2016.
 */
public class InformationFragmentPagerAdapter extends FragmentPagerAdapter {


    private Context context;

    public InformationFragmentPagerAdapter(Context context, FragmentManager fm) {
        super(fm);
        this.context = context;
    }

    @Override
    public Fragment getItem(int position) {
        if (position == 0){
            return new MainInformationFragment();
        }else{
            return new DegreeInformationFragment();
        }
    }

    @Override
    public int getCount() {
        return 2;
    }

    @Override
    public CharSequence getPageTitle(int position) {
        if (position == 0){
            return context.getString(R.string.informations_faculty);
        }else {
            return context.getString(R.string.informations_degrees);
        }
    }
}
